<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Settings/src/Settings.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a></li><li class="navelem"><a class="el" href="dir_0240842532871a78aec5cbcb2b1fe4a1.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Settings.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_capability_configuration_8h_source.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_settings_8h_source.html">Settings/Settings.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Settings.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_settings_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_settings_2src_2_settings_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_settings_2src_2_settings_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_settings_2src_2_settings_8cpp">
<area shape="rect" id="node2" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="817,365,1010,404"/>
<area shape="rect" id="node5" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="580,105,756,144"/>
<area shape="rect" id="node24" href="_settings_8h.html" title="Settings/Settings.h" alt="" coords="1397,199,1529,224"/>
<area shape="rect" id="node11" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="428,365,642,404"/>
<area shape="rect" id="node16" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="423,279,599,317"/>
<area shape="rect" id="node17" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="183,192,359,231"/>
<area shape="rect" id="node22" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="434,192,631,231"/>
<area shape="rect" id="node23" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="706,192,882,231"/>
<area shape="rect" id="node18" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="28,279,204,317"/>
<area shape="rect" id="node20" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="178,365,354,404"/>
<area shape="rect" id="node26" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="1426,279,1652,317"/>
<area shape="rect" id="node27" href="_global_settings_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/GlobalSettingsObserverInterface.h" alt="" coords="1121,279,1351,317"/>
<area shape="rect" id="node28" href="_single_setting_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SingleSettingObserverInterface.h" alt="" coords="775,279,996,317"/>
<area shape="rect" id="node29" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="1727,279,1918,317"/>
<area shape="rect" id="node35" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="2480,279,2675,317"/>
<area shape="rect" id="node43" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="1801,365,1970,404"/>
<area shape="rect" id="node44" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="2044,279,2218,317"/>
<area shape="rect" id="node46" href="_settings_storage_interface_8h.html" title="Settings/SettingsStorage\lInterface.h" alt="" coords="1135,365,1303,404"/>
<area shape="rect" id="node30" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="1478,372,1727,397"/>
<area shape="rect" id="node32" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="1594,452,1796,491"/>
<area shape="rect" id="node34" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="1324,452,1570,491"/>
<area shape="rect" id="node33" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="1614,539,1776,577"/>
<area shape="rect" id="node41" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="2903,365,3097,404"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1settings"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html">alexaClientSDK::capabilityAgents::settings</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_settings_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa85b6e44e180e65dc0b9cd549c836938"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; avsCommon::avs::CapabilityConfiguration &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#aa85b6e44e180e65dc0b9cd549c836938">alexaClientSDK::capabilityAgents::settings::getSettingsCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:aa85b6e44e180e65dc0b9cd549c836938"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a82d673dd8b3c295701778c9168d34407"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a82d673dd8b3c295701778c9168d34407">alexaClientSDK::capabilityAgents::settings::SETTINGS_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a82d673dd8b3c295701778c9168d34407"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a944ea26bc04d8e27985e0baae3ddc0de"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a944ea26bc04d8e27985e0baae3ddc0de">alexaClientSDK::capabilityAgents::settings::SETTINGS_CAPABILITY_INTERFACE_NAME</a> = &quot;Settings&quot;</td></tr>
<tr class="memdesc:a944ea26bc04d8e27985e0baae3ddc0de"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a> interface name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a944ea26bc04d8e27985e0baae3ddc0de">More...</a><br /></td></tr>
<tr class="separator:a944ea26bc04d8e27985e0baae3ddc0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fd4af8a3fdab2bebd420cc02f7f82b2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a7fd4af8a3fdab2bebd420cc02f7f82b2">alexaClientSDK::capabilityAgents::settings::SETTINGS_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a7fd4af8a3fdab2bebd420cc02f7f82b2"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1settings_1_1_settings.html">Settings</a> interface version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a7fd4af8a3fdab2bebd420cc02f7f82b2">More...</a><br /></td></tr>
<tr class="separator:a7fd4af8a3fdab2bebd420cc02f7f82b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbd5628a3f977e7e2888c927a3c55ffc"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#acbd5628a3f977e7e2888c927a3c55ffc">alexaClientSDK::capabilityAgents::settings::TAG</a> {&quot;Settings&quot;}</td></tr>
<tr class="memdesc:acbd5628a3f977e7e2888c927a3c55ffc"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#acbd5628a3f977e7e2888c927a3c55ffc">More...</a><br /></td></tr>
<tr class="separator:acbd5628a3f977e7e2888c927a3c55ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c81a8ad89582eebba382568e922d024"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a4c81a8ad89582eebba382568e922d024">alexaClientSDK::capabilityAgents::settings::SETTINGS_CONFIGURATION_ROOT_KEY</a> = &quot;settings&quot;</td></tr>
<tr class="memdesc:a4c81a8ad89582eebba382568e922d024"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the root of settings.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a4c81a8ad89582eebba382568e922d024">More...</a><br /></td></tr>
<tr class="separator:a4c81a8ad89582eebba382568e922d024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af049e2810ce9ce5f6b75394b61eafc32"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#af049e2810ce9ce5f6b75394b61eafc32">alexaClientSDK::capabilityAgents::settings::SETTINGS_DEFAULT_SETTINGS_ROOT_KEY</a> = &quot;defaultAVSClientSettings&quot;</td></tr>
<tr class="memdesc:af049e2810ce9ce5f6b75394b61eafc32"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the database file path.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#af049e2810ce9ce5f6b75394b61eafc32">More...</a><br /></td></tr>
<tr class="separator:af049e2810ce9ce5f6b75394b61eafc32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9494a4512aa8050c3ee63179a7e7c8e"><td class="memItemLeft" align="right" valign="top">static const std::unordered_set&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#ae9494a4512aa8050c3ee63179a7e7c8e">alexaClientSDK::capabilityAgents::settings::SETTINGS_ACCEPTED_KEYS</a> = {&quot;locale&quot;}</td></tr>
<tr class="memdesc:ae9494a4512aa8050c3ee63179a7e7c8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The acceptable setting keys to find in our config file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#ae9494a4512aa8050c3ee63179a7e7c8e">More...</a><br /></td></tr>
<tr class="separator:ae9494a4512aa8050c3ee63179a7e7c8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
